## iceweasel 31.6.0esr

=== debian/changelog ===
iceweasel (31.6.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2015-{30-31,33,37,40}, also known as:
    CVE-2015-0815, CVE-2015-0813, CVE-2015-0816, CVE-2015-0807,
    CVE-2015-0801.

 -- Mike Hommey <glandium@debian.org>  Wed, 01 Apr 2015 08:04:18 +0900

iceweasel (31.5.3esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2015-{28-29}, also known as:
    CVE-2015-0818, CVE-2015-0817.

 -- Mike Hommey <glandium@debian.org>  Sun, 22 Mar 2015 10:16:54 +0900

iceweasel (31.5.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2015-{11,16,19,24}, also known as:
    CVE-2015-0836, CVE-2015-0831, CVE-2015-0827, CVE-2015-0822.

  * debian/source.filter: Remove files that were mistakenly added to upstream
    source tarballs. bz#1136240.
  * debian/repack.py: Fix to support those new filters.

  * memory/mozjemalloc/jemalloc.c: Make powerpc not use static page sizes.
    Closes: #763900

 -- Mike Hommey <glandium@debian.org>  Wed, 25 Feb 2015 10:47:23 +0900

iceweasel (31.4.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2015-{01,03-04,06}, also known as:
    CVE-2014-8634, CVE-2014-8638, CVE-2014-8639, CVE-2014-8641.

 -- Mike Hommey <glandium@debian.org>  Tue, 13 Jan 2015 18:48:51 +0900

iceweasel (31.3.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2014-{83,85,87-88}, also known as:
    CVE-2014-1587, CVE-2014-1590, CVE-2014-1592, CVE-2014-1593,
    CVE-2014-1594.

  * debian/browser.mozconfig.in: Revert change from release 31.2.0esr-3,
    because it made no difference.
  * debian/branding/firefox-branding.js:
    - Set browser.startup.homepage_override.mstone to "ignore".
    - Set browser.aboutHomeSnippets.updateUrl to "data:text/html,", which
      disables downloading snippets from Mozilla servers and resets previously
      downloaded snippets after a day. Closes: #721689.

 -- Mike Hommey <glandium@debian.org>  Tue, 02 Dec 2014 22:46:00 -0800

iceweasel (31.2.0esr-3) unstable; urgency=medium

  * debian/changelog: Add missing entries for 27.0.1-1.
  * debian/rules: Don't force to build with GCC 4.9 on armhf anymore.
  * debian/browser.mozconfig.in: Don't build with --enable-unified-compilation.
    It may be causing build problems on architectures with limited resources.

  * Import patches from the nss source package that are relevant to building
    iceweasel against the in-tree nss source, for backports:
    - security/nss/lib/freebl/unix_rand.c,
      security/nss/cmd/shlibsign/shlibsign.c: Fix FTBFS on Hurd because of
      MAXPATHLEN
    - security/nss/coreconf/Linux.mk,
      security/nss/coreconf/arch.mk, security/nss/coreconf/config.mk,
      security/nss/lib/freebl/unix_rand.c, security/nss/lib/softoken/softoken.h,
      security/nss/lib/ssl/sslmutex.*: GNU/kFreeBSD support.
    - security/nss/lib/ckfw/builtins/certdata.txt: Adds the SPI Inc. and
      CAcert.org CA certificates.
    Those patches were applied on the esr24 branch, but were forgotten on the
    release branch at the time.
  * media/libcubeb/tests/moz.build: Work around binutils assertion on mips.

 -- Mike Hommey <glandium@debian.org>  Sun, 02 Nov 2014 10:29:42 +0900
