=== debian/control ===
--- 
+++ 
@@ -22,10 +22,6 @@
                python-minimal (>= 2.6.6-13~),
                python-ply,
                dpkg-dev (>= 1.16.1.1~),
-               libnspr4-dev (>= 2:4.10.6~),
-               libnss3-dev (>= 2:3.16~),
-               libsqlite3-dev (>= 3.8.3.1),
-               libvpx-dev (>= 1.3.0),
                libhunspell-dev (>= 1.2),
                libdbus-glib-1-dev,
                libasound2-dev [linux-any],
@@ -34,9 +30,7 @@
                libffi-dev,
                libevent-dev (>= 1.4.1),
                mesa-common-dev,
-               libgstreamer1.0-dev |
                libgstreamer0.10-dev,
-               libgstreamer-plugins-base1.0-dev |
                libgstreamer-plugins-base0.10-dev,
                libpulse-dev,
                yasm (>= 1.1),
@@ -90,8 +84,6 @@
 Priority: extra
 Section: debug
 Depends: iceweasel (= ${binary:Version}),
-         libnss3-dbg | libnss3-1d-dbg,
-         libnspr4-dbg | libnspr4-0d-dbg,
          ${misc:Depends}
 Description: Debugging symbols for Iceweasel
  Iceweasel is Firefox, rebranded. It is a powerful, extensible web browser
@@ -105,8 +97,6 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          python-ply,
-         libnss3-dev,
-         libnspr4-dev,
          iceweasel (= ${binary:Version})
 Conflicts: xulrunner-dev,
            firefox-dev
@@ -276,3 +266,14 @@
          iceweasel (>= ${source:Version}), iceweasel (<< ${source:Version}.1~)
 Recommends: myspell-ca
 Description: Catalan language package for Iceweasel
+ Iceweasel is Firefox, rebranded. It is a powerful, extensible web browser
+ with support for modern web application technologies.
+ .
+ This package contains the localization of Iceweasel in Catalan.
+
+Package: iceweasel-l10n-cs
+Architecture: all
+Section: localization
+Depends: ${misc:Depends},
+         iceweasel (>= ${source:Version}), iceweasel (<< ${source:Version}.1~)
+Recommends: myspell-cs-cz
