=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 OFFICIAL_NAME := firefox
 include debian/upstream.mk
 
-ifdef BACKPORT
+ifneq (,$(filter wheezy jessie,$(BACKPORT)))
 LESS_SYSTEM_LIBS = 1
 endif
 
@@ -222,4 +222,3 @@
 	$(if $(wildcard l10n),,mkdir -p l10n)
 	cd build-l10n && \
 	MOZCONFIG=$(CURDIR)/debian/$($(PRODUCT)).mozconfig \
-	$(CONFIGURE_ENV) \
