## iceweasel 38.2.0esr

=== debian/changelog ===
iceweasel (38.2.0esr-1~deb8u1) stable-security; urgency=high

  * New upstream release.
  * Fixes for mfsa2015-{79-80,82-83,87-90,92}, also known as:
    CVE-2015-4473, CVE-2015-4475, CVE-2015-4478, CVE-2015-4479,
    CVE-2015-4480, CVE-2015-4493, CVE-2015-4484, CVE-2015-4491,
    CVE-2015-4485, CVE-2015-4486, CVE-2015-4487, CVE-2015-4488,
    CVE-2015-4489, CVE-2015-4492.

  * debian/latest_nightly.py, debian/upstream.mk: Modify latest_nightly.py to
    work without ftp now that it's gone.
  * debian/upstream.mk: Switch to HTTPS for all hg.mozilla.org urls.

  * toolkit/components/search/nsSearchService.js: Revert change from 32.0.3-1
    that bumped the search engine max icon size to 35kB because it's not
    needed anymore.

 -- Mike Hommey <glandium@debian.org>  Wed, 12 Aug 2015 06:31:23 +0900

iceweasel (38.1.1esr-1) unstable; urgency=high

  * New upstream release.
  * Fixes for mfsa2015-78, also known as CVE-2015-4495.

  * debian/source.filter: Remove the source tarball filtering of search plugin
    icons. See 20150715221703.GD19084@glandium.org.

 -- Mike Hommey <glandium@debian.org>  Fri, 07 Aug 2015 08:34:19 +0900

iceweasel (38.1.0esr-3) unstable; urgency=medium

  * debian/browser.js.in, debian/vendor.js.in: Fix localized searchplugins.
    Closes: #775813.

 -- Mike Hommey <glandium@debian.org>  Sun, 12 Jul 2015 06:24:48 +0900

iceweasel (38.1.0esr-2) unstable; urgency=medium

  * debian/control*: Bump NSS build dependency.

 -- Mike Hommey <glandium@debian.org>  Fri, 03 Jul 2015 15:26:43 +0900

iceweasel (38.1.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2015-{59-67,69}, also known as:
    CVE-2015-2724, CVE-2015-2725, CVE-2015-2727, CVE-2015-2728,
    CVE-2015-2729, CVE-2015-2731, CVE-2015-2730, CVE-2015-2722,
    CVE-2015-2733, CVE-2015-2734, CVE-2015-2735, CVE-2015-2736,
    CVE-2015-2737, CVE-2015-2738, CVE-2015-2739, CVE-2015-2740,
    CVE-2015-2741, CVE-2015-2743.

  * debian/rules: Use the right --target, --host and --build arguments to
    configure for the Mozilla build system, which uses different meanings.
  * debian/branding/firefox-branding.js: Add devtools.selfxss.count pref
    to the iceweasel branding to match unofficial branding. Closes: #787975.
  * debian/browser.js.in: Use a sticky pref for browser.newtabpage.enhanced.
  * debian/branding/content/Makefile.in: Revert branding changes for SVG
    wordmark, not used on ESR

  * modules/libpref/prefapi.*, modules/libpref/prefread.*,
    modules/libpref/test/unit/data/testPrefSticky*.js,
    modules/libpref/test/unit/test_stickyprefs.js,
    modules/libpref/test/unit/xpcshell.ini: support 'sticky' preferences,
    meaning a user value is retained even when it matches the default.
    bz#1098343.
  * browser/app/profile/firefox.js, browser/base/content/newtab/intro.js,
    browser/base/content/newtab/page.js,
    browser/modules/DirectoryLinksProvider.jsm: Update patch from bz#1094324
    to fit what landed upstream in newer versions.

 -- Mike Hommey <glandium@debian.org>  Fri, 03 Jul 2015 08:57:25 +0900

iceweasel (38.0.1-5) unstable; urgency=medium

  * debian/rules: Force a timezone when extracting defaults/* files from
    omni.ja archives.

 -- Mike Hommey <glandium@debian.org>  Wed, 27 May 2015 07:36:04 +0900

iceweasel (38.0.1-4) unstable; urgency=medium

  * python/mozbuild/mozpack/files.py: Fixup to keep file type.
  * toolkit/content/Makefile.in, toolkit/content/buildconfig.html: Remove build
    machine name from about:buildconfig. bz#1168316.

 -- Mike Hommey <glandium@debian.org>  Tue, 26 May 2015 21:39:38 +0900

iceweasel (38.0.1-3) unstable; urgency=medium

  * debian/upstream.mk: Force a timezone when setting MOZ_BUILD_DATE.

  * python/mozbuild/mozpack/files.py: Normalize file mode in jars.
    bz#1168231.

 -- Mike Hommey <glandium@debian.org>  Tue, 26 May 2015 08:13:55 +0900

iceweasel (38.0.1-2) unstable; urgency=medium

  * debian/upstream.mk: Set MOZ_BUILD_DATE to the date of the last
    debian/changelog entry for non-Aurora builds.
  * debian/branding/content/Makefile.in: Add a dummy conversion for about.png
    to remove timestamps.
  * debian/browser.js.in: Default to classic view for about:newtab.
  * debian/copyright: Update copyright file to some degree.
  * debian/control*: Bump Standards-Version to 3.9.6.0.
    - debian/rules: Add build-arch and build-indep targets to debian/rules.
  * debian/control*: Switch Vcs-* urls to anonscm.debian.org.

  * ipc/testshell/XPCShellEnvironment.cpp, js/src/shell/js.cpp,
    js/xpconnect/src/XPCShellImpl.cpp: Remove build() function from js and
    xpc shells. bz#1166243.
  * toolkit/locales/l10n.mk. Use dozip.py for langpacks. bz#1166538.
  * browser/app/profile/firefox.js, browser/base/content/newtab/intro.js
    browser/modules/DirectoryLinksProvider.jsm: Set browser.newtabpage.enhanced
    default in prefs. bz#1094324.

 -- Mike Hommey <glandium@debian.org>  Mon, 25 May 2015 13:25:40 +0900

iceweasel (38.0.1-1) unstable; urgency=medium

  * New upstream release.

  * debian/vendor.js.in: Disable auto-installing webide related addons.
    Closes: #785595.
  * debian/rules: Disable jit on mips. Only mipsel is supported by the jit
    code currently.

  * configure.in, media/libjpeg/moz.build: Fixup libjpeg-turbo assembly
    cleanup.
  * security/manager/ssl/src/SSLServerCertVerification.cpp: Add a NULL-check
    for extensions on the end entity certificate when gathering EKU telemetry.
    Closes: #782772.

 -- Mike Hommey <glandium@debian.org>  Tue, 19 May 2015 13:56:45 +0900

iceweasel (38.0-2) unstable; urgency=medium

  * debian/repack.py: Fix to support filter patterns excluding a top-level
    directory.

  * configure.in: Cleanup how libjpeg-turbo assembly build variables are set.
    bz#1165654. This should fix FTBFSes on arm64 and mips*.
  * memory/mozjemalloc/jemalloc.c: Make powerpc not use static page sizes.
    Closes: #763900.


