=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 OFFICIAL_NAME := firefox
 include debian/upstream.mk
 
-ifneq (,$(filter wheezy jessie,$(BACKPORT)))
+ifdef BACKPORT
 LESS_SYSTEM_LIBS = 1
 endif
 
@@ -93,6 +93,10 @@
 	CONFIGURE_FLAGS += --disable-necko-wifi
 endif
 
+ifneq (,$(filter mips,$(DEB_BUILD_ARCH)))
+	CONFIGURE_FLAGS += --disable-ion
+endif
+
 ifneq (,$(filter armel,$(DEB_BUILD_ARCH)))
 	CFLAGS += -D__ARM_PCS
 endif
@@ -146,7 +150,7 @@
 
 DICT_DIR := /usr/share/hunspell
 
-$(PREPROCESSED_FILES): VARS = GRE_VERSION DICT_DIR $(PRODUCT) $(call uc,$(PRODUCT)) $(Product) LESS_SYSTEM_LIBS GSTREAMER_VERSION SHORT_SOURCE_CHANNEL OFFICIAL_NAME BACKPORT
+$(PREPROCESSED_FILES): VARS = GRE_VERSION DICT_DIR $(PRODUCT) $(call uc,$(PRODUCT)) $(Product) LESS_SYSTEM_LIBS GSTREAMER_VERSION SHORT_SOURCE_CHANNEL OFFICIAL_NAME GTK3 BACKPORT
 debian/control: VARS += L10N_PACKAGES_DEPS PRODUCT
 $(PREPROCESSED_FILES):
 	$(PYTHON) python/mozbuild/mozbuild/preprocessor.py --marker % -Fsubstitution $(foreach var,$(VARS),-D$(var)="$($(var))" )$< > $@
@@ -193,7 +197,7 @@
 	MOZCONFIG=$(CURDIR)/debian/$($(PRODUCT)).mozconfig \
 	ASFLAGS="-g" \
 	$(CONFIGURE_ENV) \
-	../configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr $(CONFIGURE_FLAGS) \
+	../configure --target=$(DEB_HOST_GNU_TYPE) --host=$(DEB_BUILD_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr $(CONFIGURE_FLAGS) \
 		--with-default-mozilla-five-home=$(LIB_DIR) \
 		$(BRANDING_CONFIGURE_FLAG)
 
@@ -220,5 +224,3 @@
 stamps/configure-l10n:: stamps/prepare-configure
 	$(if $(wildcard build-l10n),,mkdir build-l10n)
 	$(if $(wildcard l10n),,mkdir -p l10n)
-	cd build-l10n && \
-	MOZCONFIG=$(CURDIR)/debian/$($(PRODUCT)).mozconfig \
